summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-01-20 00:50:36 (EST)
committer P. J. McDermott <pjm@nac.net>2012-01-20 00:50:36 (EST)
commit3238093eaad71c5904e19bba51414e6de753e46c (patch)
treefdf185e5812c7292b60ca70969040c571d08e517 /src
parent3c79b3d59d089df856be9c250ffa38bfd082c10c (diff)
Write a stub oh-buildopk.
Diffstat (limited to 'src')
-rw-r--r--src/oh-buildopk36
1 files changed, 36 insertions, 0 deletions
diff --git a/src/oh-buildopk b/src/oh-buildopk
new file mode 100644
index 0000000..d64dbfe
--- /dev/null
+++ b/src/oh-buildopk
@@ -0,0 +1,36 @@
+#! /bin/sh
+#
+# opkhelper
+# src/oh-buildopk
+# Pack binary package files into an opk file.
+#
+# Copyright (C) 2012 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+print_usage()
+{
+ printf 'Usage: %s pkgname...\n' "$1"
+}
+
+if [ ${#} -eq 0 ]; then
+ print_usage ${0} >&2
+ exit 1
+fi
+
+# Iterate over packages.
+while [ ${#} -gt 0 ]; do
+ printf 'This program is a stub.\n'
+ shift
+done